Page MenuHomePhabricator

Cross-wiki notifications on mobile show separate bundles for alerts and messages, should be one bundle
Closed, ResolvedPublic

Description

The fact that every notification appears twice was fixed in T130801: Cross-wiki notifications on mobile show separate alerts and messages bundles, but each bundle contains both alerts and messages, but we're still showing two bundles. We should merge them into one.

Event Timeline

Catrope created this task.Apr 3 2016, 9:06 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 3 2016, 9:06 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
SBisson claimed this task.Apr 15 2016, 7:23 PM
SBisson triaged this task as Normal priority.

We currently don't have a message for a foreign bundle that contains both alerts and messages.
For messages we have More messages from 5 other wikis
For alerts: More alerts from 5 other wikis
For both, I propose: More notifications from 5 other wikis or More from 5 other wikis which I think doesn't look too bad in context.

Change 283699 had a related patch set uploaded (by Sbisson):
Display only one foreign bundles on mobile

https://gerrit.wikimedia.org/r/283699

We currently don't have a message for a foreign bundle that contains both alerts and messages.
For messages we have More messages from 5 other wikis
For alerts: More alerts from 5 other wikis
For both, I propose: More notifications from 5 other wikis or More from 5 other wikis which I think doesn't look too bad in context.

This ^ was a question for @jmatazzoni but I just realized he wasn't subscribed to this ticket.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 4:11 PM

Change 283699 merged by jenkins-bot:
Display only one foreign bundle on mobile

https://gerrit.wikimedia.org/r/283699

Checked on iOS (betalabs)

    • Alerts and messages are presented in a chronological order - not bundled. The same is for cross-wiki notifications.
  • @SBisson suggestion for "More notifications from 5 other wikis" is in place.


jmatazzoni closed this task as Resolved.Apr 20 2016, 12:31 AM

Noticing some hinky stuff in the screenshots with dates not being abbreviated and with links bleeding off the edge of the page. But Roan is reporting those separately. So resolving this.